Statement Inquiry API is called by the client to fetch the relevant transactions on a card. Transactions within the specified date range along with the balance of the card is fetched and sent to the client.
Environment: https://domain/mob1/api/onboarding/v1/statementInquiry
HTTP Method: POST
Note: The domain will be shared once this move to respective environment.
Request parameters
<WalletHeader />
Body
| Attribute | Description | Example |
|---|---|---|
| token mandatory | String Token is the Encrypted body of the below request AES-192-CBC bits Encryption | |
| messageCode mandatory | Numeric Code to identify load card request type. Character Limit - 4 | 1080 |
| clientTxnId mandatory | String Unique ID generated by the client for each transaction.Character Limit - 14 | GOUd789hhhjfscs |
| requestDateTime mandatory | NumericLocal Date and time stamp when the transaction originated from the client in YYYYMMDDHHMMSS with time in 24 hr format.Character Limit - 14 | 20161031214559 |
| customerId mandatory | String Customer Id (entityCIF), which uniquely identifies the cardholder in the client system. It is conditional with mobile number and URN, i.e., either one of them should be present.Character Limit - 20 | 11001188721 |
| fromDate optional | StringStatement Details from Date(DD/MM/YYYY) .Character Limit - 10 | 10/10/2015 |
| toDate optional | StringStatement Details from Date(DD/MM/YYYY) .Character Limit - 10 | 07/08/2016 |
| last4Digits mandatory | StringLast 4 digits of the card numberCharacter Limit - 4` | 1234 |
| urn mandatory | String A unique reference number for the generated card. Need to share this in request body of the APIs. Conditional with mobile number and Customer Id i.e either one of them should be present.Character Limit - 11 | 70000000008 |
| pageNumber optional | Numeric Page number indexed from 1. | 1 |
| Count optional | Numeric Max count should be 100.Character Limit - 5 | 10 |
| fromRowId optional | StringTo counter change in the search set, key to identify the last record for the previous set. Character Limit - 10 | 0 |
Sample request
Packet sample (Encrypted)
{ “token”:"Pl8F5kDZcvADIiursiAvvbHNuL9Wv5eaFdorGVFU6FKfIEnV/YskkzJlAov2ZHJWnqGNLOXfB q4SQqw8Ep4sK0gCAAkRXATCb1nSY6s="
}
Packet sample (Decypted)
{
"messageCode": 2050,
"clientTxnId": "checkStatus0173c", "requestDateTime": "20230620123143", "verifyclientTxnId": "ChangecardStatus000015", "fromDate": "2022-06-10",
"toDate": "2022-06-20"
}Response parameters
API error code
| Error Code | Description |
|---|---|
| 00 | SUCCESS |
| 1030 | INVALID_MESSAGE |
| 1083 | URN AND LAST 4 DIGITS MISMATCH |
| 1088 | INVALID_DATE_FORMAT |
| 1231 | DATA_NOT_FOUND |
| 1237 | DUPLICATE_MOBILE_NUMBER_WITH_MULTIPLE_ACCOUNT |
| 1500 | SYSTEM_ERROR_UNKNOWN |
| 1501 | SYSTEM_ERROR |
HTTP status code
| HTTP Status Code | HTTP Status Description |
|---|---|
| 200 | OK |
| 404 | Not Found |
| 500 | Internal Server Error |
| 403 | Forbidden |
| 400 | Bad Request |
| 401 | Unauthorized |
| 503 | Service Unavailable |
Sample request
Packet sample (Encrypted)
{
“token”: “h/0YSUdGzgNsMcmfYAvIIPgF3Z80/kMJkW/7l9wG9L+bXt//P/HBG0NsuoPtbn6ugjzNOLl/wQPJFbCKMqQJtSSQs4JVYBohia1TPP1yJULHN+TLIVKFRZsg0GokTPI+ZKpNPcrKrQSa70qV/RtVWMv6CmqRHaG1gQvgAYKjNyOpip7G3Io5IDEF4b2cXOlH4G1hbOtjAHQ/7ZS9KrkmJA==”
} Packet sample (Decrypted)
{
"urn": 70000000182,
"responseCode": "00",
"messageCode": 1073,
"clientTxnId": "Inq_Sam_cATRriram05", "clientId": "2000",
"responseMessage": "SUCCESS", "bankId": 7000, "availableBalance": "1500", "availableCashLimit": "0", "pageNumber": 1,
"count": 100, "openingBalance": "0", "closingBalance": "1500",
"statementDetails": [ {
"merchantName": "Card Unload", "transactionType": "Debit", "transactionAmount": "1500", "transactionDate": "2023-08-04 14:18:50.550", "merchantCity": "",
"transRefNumber": "", "reserved1": "", "reserved2": "", "reserved4": "O|70000", "eventId": 303014, "rowId": 1691138930550, "authEpfTxnId": "41437", "rrn": "",
"stan": "", "approvalCode": "", "isMerchantTxn": 0, "clientTxnId": "Test2141", "status": "", "closingBalance": 1500, "openningBalance": 3000,
"transactionNarration": "" },
{
"merchantName": "Card Recharge", "transactionType": "Credit", "transactionAmount": "2000", "transactionDate": "2023-08-04 13:56:35.677", "merchantCity": "",
"transRefNumber": "", "reserved1": "", "reserved2": "", "reserved4": "I|70130", "eventId": 303003, "rowId": 1691137595677, "authEpfTxnId": "41436", "rrn": "",
"stan": "",
"approvalCode": "",
"isMerchantTxn": 0,
"clientTxnId": "Reload_VIZamPNmR9", "status": "",
"closingBalance": 3000, "openningBalance": 1000,
"transactionNarration": "" },
{
"merchantName": "Card Recharge", "transactionType": "Credit", "transactionAmount": "1000", "transactionDate": "2023-08-04 13:19:43.533",
"merchantCity": "", "transRefNumber": "", "reserved1": "", "reserved2": "", "reserved4": "I|70130", "eventId": 303003, "rowId": 1691135383533, "authEpfTxnId": "41435",
"rrn": "",
"stan": "",
"approvalCode": "",
"isMerchantTxn": 0,
"clientTxnId": "Reload_V3IZamPNmR69", "status": "",
"closingBalance": 1000, "openningBalance": 0, "transactionNarration": ""
} ]
}